Skip to main content

Overview

Catalog queries provide access to master data and reference information used throughout the Satélite API. These queries support material selection, client lookup, product management, and various operational catalogs.

General Catalog Queries

GetAllCatalogos

Retrieve all active catalogs from the system. Query
query {
  getAllCatalogos {
    idCatalogo
    nombre
    valor
    orden
    estado
    idCatalogoPadre {
      idCatalogo
      nombre
    }
  }
}
Response Fields
Unique catalog identifier
nombre
string
Catalog name/label
valor
string
required
Catalog value
orden
decimal
required
Display order
abreviacion
string
Abbreviated form
estado
string
required
Status (active/inactive)
idCatalogoPadre
CatalogoDTO
Parent catalog if hierarchical
Source: Schema/Query/Query.cs:1069

GetCatalogoById

Retrieve a specific catalog entry by ID. Query
query GetCatalogo($id: Int!) {
  getCatalogoById(id: $id) {
    idCatalogo
    nombre
    valor
    orden
    estado
  }
}
Parameters
id
int
required
The catalog ID to retrieve
Source: Schema/Query/Query.cs:757

GetAllCatalogosTodos

Retrieve all catalog entries including inactive ones. Query
query {
  getAllCatalogosTodos {
    idCatalogo
    nombre
    valor
    estado
  }
}
Source: Schema/Query/Query.cs:1079

GetAllCatalogosTodosByPadre

Retrieve all catalog entries under a specific parent catalog. Query
query GetCatalogsByParent($id: Int!) {
  getAllCatalogosTodosByPadre(id: $id) {
    idCatalogo
    nombre
    valor
    idCatalogoPadre {
      idCatalogo
      nombre
    }
  }
}
Parameters
id
int
required
Parent catalog ID
Source: Schema/Query/Query.cs:1084

GetAllCatalogosBusqueda

Search catalogs by name or value. Query
query SearchCatalogs($valor: String!) {
  getAllCatalogosBusqueda(valor: $valor) {
    idCatalogo
    nombre
    valor
  }
}
Parameters
valor
string
required
Search term to match against catalog names and values
Source: Schema/Query/Query.cs:722

GetAllCatalogosNombre

Retrieve catalogs by name. Query
query GetCatalogsByName($valor: String!) {
  getAllCatalogosNombre(valor: $valor) {
    idCatalogo
    nombre
    valor
  }
}
Parameters
valor
string
required
Catalog name to search for
Source: Schema/Query/Query.cs:1074

Material Catalog Queries

GetCatalogoMaterialesHomologados

Retrieve homologated materials catalog, optionally filtered by channel, cluster, category, and business unit. Query
query GetHomologatedMaterials(
  $canal: String
  $cluster: String
  $categoria: String
  $negocio: String
  $codigoCliente: String
) {
  getCatalogoMaterialesHomologados(
    canal: $canal
    cluster: $cluster
    categoria: $categoria
    negocio: $negocio
    codigoCliente: $codigoCliente
  ) {
    nombreCliente
    codigoCliente
    codigoCanal
    listaPrecios
    codigoBarras
    codigoMaterial
    nombreMaterial
    nombreFamilia
    cluster
    categoria
    negocio
    tipo
    subtipo
    marca
    categoriaExco
    propioPrivadoHomologado
    precioActual
    pvp
    promedioVenta
  }
}
Parameters
canal
string
Sales channel code (required for filtered results)
cluster
string
Cluster code (required for filtered results)
categoria
string
Category filter
negocio
string
Business unit filter
codigoCliente
string
Client code filter
Response Fields
codigoMaterial
string
Material/product code
nombreMaterial
string
Material name
nombreCliente
string
Client name
cluster
string
Cluster classification
categoria
string
Category classification
negocio
string
Business unit
precioActual
string
Current price
pvp
string
Public sale price
Source: Schema/Catalogo/Queries/CatalogoMaterialesHomologadosQuery.cs:21

ObtenerMaterialesHomologadosPlanComercial

Retrieve homologated materials specifically for commercial plan integration. Query
query GetMaterialsForCommercialPlan(
  $canal: String!
  $cluster: String!
  $categoria: String
  $negocio: String
  $listaPrecios: String
  $codigoCliente: String
) {
  obtenerMaterialesHomologadosPlanComercial(
    canal: $canal
    cluster: $cluster
    categoria: $categoria
    negocio: $negocio
    listaPrecios: $listaPrecios
    codigoCliente: $codigoCliente
  ) {
    codigoMaterial
    nombreMaterial
    listaPrecios
    precioActual
    pvp
  }
}
Parameters
canal
string
required
Sales channel code
cluster
string
required
Cluster code
categoria
string
Category filter
negocio
string
Business unit filter
listaPrecios
string
Price list filter
codigoCliente
string
Client code filter
Source: Schema/Catalogo/Queries/CatalogoMaterialesHomologadosQuery.cs:31

GetAllListMaterialesHomologados

Retrieve the complete list of all homologated materials. Query
query {
  getAllListMaterialesHomologados {
    codigoMaterial
    nombreMaterial
    categoria
    negocio
  }
}
Source: Schema/Catalogo/Queries/CatalogoMaterialesHomologadosQuery.cs:37

GetUniqueNameClients

Retrieve a list of unique client names from the materials catalog. Query
query {
  getUniqueNameClients
}
Returns: Array of strings containing unique client names Source: Schema/Catalogo/Queries/CatalogoMaterialesHomologadosQuery.cs:45

GetUniqueCatalogosMateriales

Retrieve the hierarchical structure of material catalogs (categories). Query
query {
  getUniqueCatalogosMateriales {
    # Category structure
  }
}
Source: Schema/Catalogo/Queries/CatalogoMaterialesHomologadosQuery.cs:49

Client Catalog Queries

GetClientesPorSociedad

Retrieve active clients for a specific company/society. Query
query GetClients($sociedad: String!) {
  getClientesPorSociedad(sociedad: $sociedad) {
    id
    codigoCliente
    nombreCliente
    sociedad
  }
}
Parameters
sociedad
string
required
Company/society code to filter clients
Response Fields
id
int
required
Unique identifier
codigoCliente
string
required
Client code
nombreCliente
string
Client name
sociedad
string
Company/society code
Source: Schema/Catalogo/Queries/CatalogoClienteActivoQuery.cs:21

Product Catalog Queries

GetProductosPorSociedad

Retrieve active products for a specific company/society. Query
query GetProducts($sociedad: String!) {
  getProductosPorSociedad(sociedad: $sociedad) {
    id
    codigoMaterial
    nombreMaterial
    sociedad
  }
}
Parameters
sociedad
string
required
Company/society code to filter products
Response Fields
id
int
required
Unique identifier
codigoMaterial
string
required
Product/material code
nombreMaterial
string
Product/material name
sociedad
string
Company/society code
Source: Schema/Catalogo/Queries/CatalogoProductoActivoQuery.cs:20

Catalog Type Queries

GetCatalogoTipos

Retrieve all catalog types with their hierarchical structure. Query
query {
  getCatalogoTipos {
    id
    nombre
    codigo
    activo
    padreId
    padre {
      id
      nombre
    }
    catalogos {
      id
      nombre
      codigo
    }
  }
}
Response Fields
id
int
required
Catalog type ID
nombre
string
Catalog type name
codigo
string
Catalog type code
activo
boolean
required
Active status
catalogos
CatalogoItemDTO[]
Child catalog items
Source: Schema/Catalogo/Queries/CatalogoTipoQuery.cs:18

GetCatalogoTipoByCode

Retrieve a specific catalog type by its code. Query
query GetCatalogTypeByCode($code: String!) {
  getCatalogoTipoByCode(code: $code) {
    id
    nombre
    codigo
    catalogos {
      id
      nombre
      codigoSap
    }
  }
}
Parameters
code
string
required
Catalog type code
Source: Schema/Catalogo/Queries/CatalogoTipoQuery.cs:23

Reimbursement Catalogs

GetAllTipoReembolsos

Retrieve all reimbursement types. Query
query {
  getAllTipoReembolsos {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:682

GetAllGastoByIdReembolso

Retrieve expense types associated with a specific reimbursement type. Query
query GetExpensesByReimbursement($id: Int!) {
  getAllGastoByIdReembolso(id: $id) {
    idCatalogo
    nombre
    valor
  }
}
Parameters
id
int
required
Reimbursement type ID
Source: Schema/Query/Query.cs:717

Rejection and Approval Catalogs

GetAllMotivosRechazo

Retrieve rejection reasons for a specific system. Query
query GetRejectionReasons($sistema: String!) {
  getAllMotivosRechazo(sistema: $sistema) {
    idCatalogo
    nombre
    valor
  }
}
Parameters
sistema
string
required
System identifier (e.g., “REEMBOLSOS”, “ACTIVOS_FIJOS”)
Source: Schema/Query/Query.cs:687

Fixed Assets Catalogs

GetAllMotivoBajaActivosFijos

Retrieve motives for fixed asset deactivation. Query
query {
  getAllMotivoBajaActivosFijos {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:692

GetAllMotivoTrasladoActivosFijos

Retrieve motives for fixed asset transfers. Query
query {
  getAllMotivoTrasladoActivosFijos {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:709

GetAllTipoSolicitudActivosFijos

Retrieve request types for fixed assets. Query
query {
  getAllTipoSolicitudActivosFijos {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:677

SOLPED Catalogs

GetAllTipoSolicitudSolped

Retrieve SOLPED request types. Query
query {
  getAllTipoSolicitudSolped {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:696

GetAllTipoGastoSolped

Retrieve SOLPED expense types. Query
query {
  getAllTipoGastoSolped {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:700

Document and Financial Catalogs

GetAllTipoDocumentos

Retrieve all document types. Query
query {
  getAllTipoDocumentos {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:772

GetAllGrupoDocumentos

Retrieve all document group classifications. Query
query {
  getAllGrupoDocumentos {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:802

GetAllGrupoGastos

Retrieve all expense group classifications. Query
query {
  getAllGrupoGastos {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:807

GetAllTipoMoneda

Retrieve all currency types. Query
query {
  getAllTipoMoneda {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:792

GetAllMontos

Retrieve monetary amount categories. Query
query {
  getAllMontos {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:777

GetAllPorcentaje

Retrieve percentage categories. Query
query {
  getAllPorcentaje {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:797

Organizational Catalogs

GetAllTipoAprobadores

Retrieve approver types. Query
query {
  getAllTipoAprobadores {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:782

GetAllBeneficiario

Retrieve beneficiary types. Query
query {
  getAllBeneficiario {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:787

GetAllCompanias

Retrieve all companies. Query
query {
  getAllCompanias {
    # Company fields
  }
}
Source: Schema/Query/Query.cs:762

Calendar Catalogs

GetAllFeriados

Retrieve all holidays/non-working days. Query
query {
  getAllFeriados {
    idCatalogo
    nombre
    valor
  }
}
Source: Schema/Query/Query.cs:704